package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.ProgressPrize;
import cn.wisenergy.model.dto.ProgressPrizeQuery;
import cn.wisenergy.model.vo.PrizeShowVo;
import cn.wisenergy.model.vo.ProgressPrizeVo;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @author 86187
 * @ Description: 进步奖接口定义
 * @ Author     : 86187
 * @ Date       : 2021/3/9 16:47
 */
public interface ProgressPrizeService {

    /**
     * 获取本月进步奖列表
     *
     * @return 进步奖列表
     */
    R<PrizeShowVo> getProgressPrizes();

    /**
     * 获取最大进步奖列表
     * @param query 查询参数
     * @return 最大进步奖列表
     */
    R<PageInfo<ProgressPrize>> getList(ProgressPrizeQuery query);
}
